Skip to main content
PATCH
/
digitalbanking
/
ux-users
/
v1
/
customers
/
{customerId}
/
contact-info
Update Member Contact
curl --request PATCH \
  --url https://api.candescent.com/digitalbanking/ux-users/v1/customers/{customerId}/contact-info \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emailAddress": "jsmith@example.com",
  "phoneNumber": "<string>",
  "phoneType": "<string>"
}
'
{
  "userId": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "emailAddress": "jsmith@example.com",
  "userRole": "<string>",
  "userType": "<string>",
  "userStatus": {
    "active": true,
    "locked": true
  },
  "customers": [
    {
      "customerId": "<string>",
      "memberNumber": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerId
string
required

Customer ID of the member

Body

application/json
emailAddress
string<email>
phoneNumber
string
phoneType
string

Type of phone (MOBILE, HOME, WORK)

Response

Contact info updated

userId
string

Unique identifier of the user

firstName
string
lastName
string
emailAddress
string<email>
userRole
string

Member role (PRIMARY, JOINT, etc.)

userType
string

Member type (RETAIL, BUSINESS, etc.)

userStatus
object
customers
object[]